- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
dns_resolv_conf Struct Reference

## Data Fields
struct sockaddr_storage | nameserver [3]
char | search [4][DNS_D_MAXNAME+1]
char | lookup [4 *(1+(4 *2))]
struct {
enum | { DNS_RESCONF_TCP_ENABLE, DNS_RESCONF_TCP_ONLY, DNS_RESCONF_TCP_DISABLE }
_Bool edns0
unsigned ndots
unsigned timeout
unsigned attempts
_Bool rotate
_Bool recurse
_Bool smart
enum dns_resolv_conf:: { ... } tcp
} | options
struct sockaddr_storage | iface
struct {
dns_atomic_t refcount
} | _